#include "FxVSync.hpp"

// C++ system level
#include <functional>

// ESP32 specific
// #include "esp_log.h"

// project specific
#include "CyanBus.hpp"
#include "SpiderLib/NumberTypes.hpp"


// qthing stuff
// #include ""


namespace SiliconTorch {

  namespace FxVSync {

    const std::string HEADER("fxVSync");

    void registerAtCyanBus(CyanBus::CyanBus& cyanBus, std::function<void()> callback) {
      cyanBus.packetCallback.add(HEADER, [callback](const SiliconTorch::CyanBus::PacketData& ignored) { callback(); });
    }

  }
}
